Bug 60292 - Cannot install to a repartioned HD with 2.5 meg in 2nd partitions not sufficient space to
Cannot install to a repartioned HD with 2.5 meg in 2nd partitions not suffici...
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i586 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-02-24 11:07 EST by Larrie Mackie
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-28 12:48:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Tace dump from anaconda (1.38 KB, text/plain)
2002-02-24 11:09 EST, Larrie Mackie
no flags Details
Anaconda Dump (1.38 KB, text/plain)
2002-02-28 12:48 EST, Larrie Mackie
no flags Details

  None (edit)
Description Larrie Mackie 2002-02-24 11:07:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; AOL 7.0; Windows 98)

Description of problem:
After partioning, cannot install to second partion to create a dual boot PC. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.used FIPS to repartion 16 gig HD into two partitions: 13868 and 2251. 
2.After partioning hard drive, ran install. Message: There is not sufficient 
space... You will need to manually partion...  
3. Selected disk druid, selected hdb(2.25 meg) and EDIT. 
4.Selected mount point as \ (root). Message was allocation was successful. 
5. Selected next and recieved the following error message. 
6. Selected OK and Anaconda killed install and started reboot.

Actual Results:  Install crashes, Anaconda kills install and starts to repart 
to CD.

Expected Results:  After

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 428, in 
    self.setScreen (self.currentScreen, self.nextClicked)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 466, in 
    new_screen = screen.getScreen ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/rootpartition_gui.py", 
line 133, in getScreen
    avail = apply(isys.spaceAvailable, self.todo.fstab.getRootDevice())
  File "/usr/lib/anaconda/isys.py", line 10, in spaceAvailable
    mount(device, "/mnt/space", fstype = fsystem)
  File "/usr/lib/anaconda/isys.py", line 99, in mount
    rc = _isys.mount(fstype, device, location, readOnly)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
fstype: vfat
location: /mnt/space
devName: /tmp/hda2
readOnly: 0
device: /tmp/hda2

ToDo object:

Comment 1 Larrie Mackie 2002-02-24 11:09:36 EST
Created attachment 46540 [details]
Tace dump from anaconda
Comment 2 Jeremy Katz 2002-02-25 12:54:00 EST
A install updates disk is available from


To use it, dd this disk to a floppy, boot a standard boot disk into the install
by typing "linux updates" at the syslinux boot prompt.The install process
will ask you to insert the updates disk when it's needed. Please let us know if
this fixes this problem.

Dupe of 18032, but I won't make the poor reporter deal with another mail about it.
Comment 3 Larrie Mackie 2002-02-28 12:47:01 EST
I tried the upgrade and the problem persists. Attached is a copy of the 
anaconda dump. How much space is needed for the Linux partition. Would 
automatic partioning work if I increased the second partition to 4.0 gig.

Comment 4 Larrie Mackie 2002-02-28 12:48:27 EST
Created attachment 46921 [details]
Anaconda Dump
Comment 5 Jeremy Katz 2002-03-05 10:57:37 EST
Please see http://www.redhat.com/support/errata/RHBA-2000-084.html for the
complete instructions on using update boot disk which should fix this problem

Note You need to log in before you can comment on or make changes to this bug.